package com.unis.base.server.service;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyXzzyxxHisVO;
import com.unis.base.common.vo.TyXzzyxxVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyCrkxxService
 * @ProjectName TyCrkxxService
 * @date 2019/7/22 17:47
 */
public interface TyXzzyxxService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TyXzzyxxVO> getTyXzzyxxList(TyXzzyxxVO tyXzzyxxVO);
	
	/**
	 * 分页展示
	 * @param TyXzzyxxVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	PageInfo<TyXzzyxxVO> getTyXzzyxxPage(TyXzzyxxVO tyXzzyxxVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyXzzyxxVO
	 * @return
	 */
	int insert(TyXzzyxxVO tyXzzyxxVO);
	
	/**
	 * 更新信息
	 * @param TyXzzyxxVO
	 * @return
	 */
	int update(TyXzzyxxVO tyXzzyxxVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param TyXzzyxxVO
	 * @return
	 */
	int delete(String xzzyid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyXzzyxxVO getXzzyxxByXzzyxxid(String xzzyid);

	/**
	 * 熏蒸作业信息-更改备案状态 
	 * @param tyXzzyxxVO
	 * @return
	 */
	Integer updateFumigationOperationStatus(TyXzzyxxHisVO tyXzzyxxHisVO);

}
